Subject: Re: [PATCH] booting-without-of: add more bindings for FSL UPM driver

From: Segher Boessenkool <[email-masked]>
Date: Tue, 10 Jun 2008 01:47:30 +0200

>>> +      - chip-delay : may specify a delay value in milliseconds.
>>
>> Delay for what?  The binding should say.  "chip-delay" is a bit
>> too generic name as well, it could be more descriptive perhaps.
>
> The chip-delay property defines an appropriate maximum delay
> time (tR) required for read operations if the R/B pin is not
> connected.

Yeah.  So please put that in the binding.

>> Shouldn't this be a property of the NAND device anyway, not the
>> NAND controller?
>
> Strictly speaking, it's a property of the NAND device. Therefore it
> should be inside the node nand@0, I thhink:
>
> +			nand@0 {
> +				#address-cells = <1>;
> +				#size-cells = <1>;
> +			        chip-delay = <25>; // in micro-seconds

Something like that, yes.  You wrote milliseconds before; which is it?

And, a better property name, please.

> Where should that be documented?

In the binding for nand devices.  If there isn't any yet, it might be
best to include that with the binding for your nand controller (i.e.,
describe the whole sub node there).

Segher